
/*******************************************************************************
 * Rozhraní IPravidla definuje pravidla pro hru Sirky  
 *
 * @author   Pavlíčková, Pavlíček
 * @version  2.0, 18. října 2010
 */
public interface IPravidla {
    /**
     * Metoda vrací true, pokud začíná odebírat hráč. Pokud začíná odebírat počítač,
     * vrací false. Po celou dobu by metoda měla vracet stejnou hodnotu.
     * 
     * @return  true, pokud hru začíná hráč
     */
    public boolean zacinaHrac();

    /**
     * Metoda vrací true, pokud hráč, který vezme poslední sirku vyhrává.
     * Po celou dobu by metoda měla vracet stejnou hodnotu.
     * 
     * @return  true, pokud hráč, který vezme poslední sirku vyhrává
     */
    public boolean posledniVyhrava();

    /**
     * Metoda vrací string s popisem pravidel. Po celou dobu by metoda měla vracet
     * stejnou hodnotu. Pro hezké zobrazení je vhodné využít html značky - v tom případě
     * na začátku musí být řetězec "<html>". Zakomentovaný příklad následuje po hlavičce
     * metody.
     * 
     * @return  popis pravidel
     */
    public String pravidla();
    
    /**
     * Metoda vrací maximální počet sirek, které lze najednou odebrat z hromádky. Pokud metoda
     * vráti hodnotu nula, může hráč na tahu vzít libovolný počet sirek z hromádky.
     * Pokud metoda vrátí záporné číslo, tak hráč může vzít z hromádky nejvýše počet sirek
     * na hromádce zmenšený o zadané číslo (tj. když bude na hromádce 7 sirek a tato metoda 
     * vrátí číslo -2, může hráč sebrat maximálně 5 sirek).
     * 
     * @return nejvyšší počet sirek, které může hráč/počítač sebrat najednou z hromádky.
     */
    public int getMaxOdebiranych();

}
