
/*******************************************************************************
 * Rozhraní IPrubehHry předepisuje metody pro třídu určující chování
 * počítače při odebírání sirek.
 *
 * @author    Pavlíčková, Pavlíček
 * @version   18. října 2010
 */
public interface IPrubehHry {
    /**
     * Metoda nastaví na začátku počet sirek na hromádce. Pokud se již 
     * začalo hrát, nelze nastavit počet sirek na hromádce. Pokud již hra
     * skončila, lze opět nastavit počet sirek na hromádce a hra začíná 
     * od začátku.
     * 
     * @param pocet   počet sirek, které budou na začátku na hromádce,
     * @return hodnotu true, pokud je počet sirek v přípustném rozsahu 
     *         (např. záporné číslo) a hra není rozehrána, jinak false.
     */
    public boolean setPocetSirek(int pocet);

    /**
     * Metoda se volá, když hráč zadá kolik sirek odebere. 
     * 
     * @param pocet    - počet sirek, které odebírá hráč.
     * @return    true, pokud je zadán přípustný počet sirek, jinak false.
     */
    public boolean hracOdebira(int pocet);

    /**
     * Metoda vrací počet sirek, které chce odebrat počítač.
     * 
     * @return   počet sirek, které chce odebrat počítač.
     */
    public int pocitacOdebira();

    /**
     * Metoda vrací true, pokud je konec hry, tj. když nejsou žádné sirky na hromádce či pokud hra ještě nezačala.
     * 
     * @return    true, pokud nejsou žádné sirky na hromádce
     */
    public boolean jeKonec();

    /**
     * Metoda vrací počet sirek, které ještě zbývají na hromádce.
     * 
     * @return    počet sirek na hromádce.
     */
    public int sirekNaHromadce();

    /**
     * Metoda vrací odkaz na implementaci popisu pravidel.
     * 
     * @return    pravidlahry.
     */
    public IPravidla  vratPravidla();

}
