
/*******************************************************************************
 *  Testovací implementace rozhraní ISirky určená pro testování grafiky.
 *
 * @author    Pavlíčková, Pavlíček
 * @version   18. října 2010
 */
public class MaketaHra implements IPrubehHry {

    //== Datové atributy (statické i instancí)======================================
    private IPravidla pravidla;
    //== Konstruktory a tovární metody =============================================

    /***************************************************************************
     *  .....
     */
    public MaketaHra(IPravidla pravidla) {
        this.pravidla = pravidla;
    }

    //== Nesoukromé metody (instancí i třídy) ===============================================

    /**
     * Metoda nastaví na začátku počet sirek na hromádce. Pokud se již 
     * začalo hrát, nelze nastavit počet sirek na hromádce. Pokud již hra
     * skončila, lze opět nastavit počet sirek na hromádce a hra začíná 
     * od začátku.
     * 
     * @param pocet   počet sirek, které budou na začátku na hromádce,
     * @return hodnotu true, pokud je počet sirek v přípustném rozsahu 
     *         a hra není rozehrána, jinak false.
     */
    @Override
    public boolean setPocetSirek(int pocet) {
        System.out.println("setPocetSirek: " + pocet);
        return true;
    }

    /**
     * Metoda se volá, když hráč zadá kolik sirek odebere. 
     * 
     * @param pocet    - počet sirek, které odebere hráč.
     * @return    true, pokud je zadán přípustný počet sirek, jinak false.
     */
    @Override
    public boolean hracOdebira(int pocet) {
        System.out.println("hracOdebira, pocet: " + pocet);
        return true;
    }

    /**
     * Metoda vrací počet sirek, které chce odebrat počítač.
     * 
     * @return   počet sirek, které chce odebrat počítač.
     */
    @Override
    public int pocitacOdebira() {
        System.out.println("pocitacOdebira");
        return 1;
    }

    /**
     * Metoda vrací true, pokud je konec hry, tj. když nejsou žádné sirky na hromádce či pokud hra ještě nezačala.
     * 
     * @return    true, pokud nejsou žádné sirky na hromádce
     */
    @Override
    public boolean jeKonec() {
        System.out.println("jeKonec");
        return false;
    }

    /**
     * Metoda vrací počet sirek, které ještě zbývají na hromádce.
     * 
     * @return    počet sirek na hromádce.
     */
    @Override
    public int sirekNaHromadce() {
        System.out.println("sirekNaHromadce");
        return 333;
    }

    /**
     * Metoda vrací odkaz na implementaci popisu pravidel.
     * 
     * @return    pravidlahry.
     */
    @Override
    public IPravidla vratPravidla() {
        return pravidla;
    }

    //== Soukromé metody (instancí i třídy) ===========================================

}
