/*******************************************************************************
 * Implementace pravidel pro odebírání sirek z hromádky.
 *
 * @author    Pavlíčková, Pavlíček
 * @version   2.0, 18. října 2010
 */
public class Pravidla1 implements IPravidla {
    //== Datové atributy (statické i instancí)======================================

    //== Konstruktory a tovární metody =============================================

    /***************************************************************************
     *  V konstruktoru není potřeba nic nastavovat.
     */
    public Pravidla1() {
    }

    //== Nesoukromé metody (instancí i třídy) ===============================================
    /**
     * Metoda vrací true, pokud začíná odebírat hráč. Pokud začíná odebírat počítač,
     * vrací false.
     * 
     * @return  true, pokud hru začíná hráč
     */
    @Override
    public boolean zacinaHrac() {
        return true;
    }


    /**
     * Metoda vrací true, pokud hráč, který vezme poslední sirku vyhrává.
     * Po celou dobu by metoda měla vracet stejnou hodnotu.
     * 
     * @return  true, pokud hráč, který vezme poslední sirku vyhrává
     */
    @Override
    public boolean posledniVyhrava() {
        return false;
    }
    
    /**
     * Metoda vrací maximální počet sirek, které lze najednou odebrat z hromádky. Pokud metoda
     * vráti hodnotu nula, může hráč na tahu vzít libovolný počet sirek z hromádky.
     * Pokud metoda vrátí záporné číslo, tak hráč může vzít z hromádky nejvýše počet sirek
     * na hromádce zmenšený o zadané číslo (tj. když bude na hromádce 7 sirek a tato metoda 
     * vrátí číslo -2, může hráč sebrat maximálně 5 sirek).
     * 
     * @return nejvyšší počet sirek, které může hráč/počítač sebrat najednou z hromádky.
     */
    @Override
    public int getMaxOdebiranych() {
        return 3;
    }
    
    /**
     * Metoda vrací string s popisem pravidel.
     * 
     * @return  popis pravidel
     */
    @Override
    public String pravidla() {
        return "<html><i>Na hromádce je N sirek a v každém kole<br>"
        + "můžete sebrat maximálně " + getMaxOdebiranych() + " sirky a minimálně<br>"
        + "jednu sirku. Poté hraje soupeř. Prohrává ten,<br>"
        + "kdo vezme poslední sirku z hromádky.<br>"
        + "Začíná hráč.</i></html>";
    }

    //== Soukromé metody (instancí i třídy) ===========================================

}
